package com.flossom.common.core.domain.ret;

import com.flossom.common.core.domain.entity.*;

import java.util.List;

/**
 * 用户返回对象
 *
 * @author flossom
 * @date 2023-12-08
 */
public class WxUserMemberRet extends WxUserMember {

    /**
     * 小程序标签
     */
    private List<WxUserTag> miniProgramTags;

    /**
     * 外部标签
     */
    private List<WxUserTag> wecomTags;

    /**
     * 仪器列表
     */
    private List<WxUserInstrument> instrumentList;


    public List<WxUserTag> getMiniProgramTags() {
        return miniProgramTags;
    }

    public void setMiniProgramTags(List<WxUserTag> miniProgramTags) {
        this.miniProgramTags = miniProgramTags;
    }

    public List<WxUserTag> getWecomTags() {
        return wecomTags;
    }

    public void setWecomTags(List<WxUserTag> wecomTags) {
        this.wecomTags = wecomTags;
    }

    public List<WxUserInstrument> getInstrumentList() {
        return instrumentList;
    }

    public void setInstrumentList(List<WxUserInstrument> instrumentList) {
        this.instrumentList = instrumentList;
    }
}
